Bug 172717 - graphics/urt: Fix build with clang
Summary: graphics/urt: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-15 19:10 UTC by tkato432
Modified: 2013-01-21 03:45 UTC (History)
0 users

See Also:


Attachments
file.diff (56.76 KB, patch)
2012-10-15 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-10-15 19:10:00 UTC
- Fix build with clang
- Add MAKE_JOBS_SAFE
- Support PORTEXAMPLES
- Support COPYTREE_SHARE

New file:
files/patch-cnv__aliastorle.c
files/patch-cnv__cubitorle.c
files/patch-cnv__graytorle.c
files/patch-cnv__painttorle.c
files/patch-cnv__pgmtorle.c
files/patch-cnv__ppmtorle.c
files/patch-cnv__rastorle.c
files/patch-cnv__rawtorle.c
files/patch-cnv__rlesplice.c
files/patch-cnv__rletoabA60.c
files/patch-cnv__rletoabA62__rletoabA62.c
files/patch-cnv__rletoalias.c
files/patch-cnv__rletocgm.c
files/patch-cnv__rletogif__rletogif.c
files/patch-cnv__rletogray.c
files/patch-cnv__rletoiris.c
files/patch-cnv__rletopaint.c
files/patch-cnv__rletorast.c
files/patch-cnv__rletoraw.c
files/patch-cnv__rletotarga.c
files/patch-cnv__rletotiff.c
files/patch-cnv__targatorle.c
files/patch-cnv__tifftorle.c
files/patch-cnv__wasatchrle.c
files/patch-cnv__xbmtorle.c
files/patch-get__getx11__getx11.c
files/patch-get__getx11__getx11.h
files/patch-get__getx11__prototypes.h
files/patch-lib__Runput.c
files/patch-lib__rle_addhist.c
files/patch-lib__rle_error.c
files/patch-tools__applymap.c
files/patch-tools__clock__rleClock.c
files/patch-tools__crop.c
files/patch-tools__fant.c
files/patch-tools__mallocNd.c
files/patch-tools__pyrmask.c
files/patch-tools__repos.c
files/patch-tools__rlebg.c
files/patch-tools__rlebox.c
files/patch-tools__rleccube.c
files/patch-tools__rlecomp.c
files/patch-tools__rledither.c
files/patch-tools__rleflip.c
files/patch-tools__rlehisto.c
files/patch-tools__rleldmap.c
files/patch-tools__rlemandl.c
files/patch-tools__rlenoise.c
files/patch-tools__rleprint.c
files/patch-tools__rlequant.c
files/patch-tools__rlescale.c
files/patch-tools__rleselect.c
files/patch-tools__rlesetbg.c
files/patch-tools__rleskel.c
files/patch-tools__rlesortmap.c
files/patch-tools__rlespiff.c
files/patch-tools__rlesplice.c
files/patch-tools__rlesplit.c
files/patch-tools__rlestereo.c
files/patch-tools__rleswap.c
files/patch-tools__rlezoom.c
files/patch-tools__smush.c
files/patch-tools__to8.c
files/patch-tools__tobw.c
files/patch-tools__unexp.c
files/patch-tools__unslice.c
Comment 1 Edwin Groothuis freebsd_committer 2012-10-15 19:10:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-10-29 09:38:33 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 3 Marcelo Araujo freebsd_committer 2012-12-11 13:04:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-01-21 03:32:15 UTC
Author: araujo
Date: Mon Jan 21 03:31:56 2013
New Revision: 310738
URL: http://svnweb.freebsd.org/changeset/ports/310738

Log:
  - Fix build with clang.
  - Add MAKE_JOBS_SAFE.
  - Trim header.
  - Convert to optionsNG.
  
  PR:		ports/172717
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/graphics/urt/files/patch-cnv__aliastorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__cubitorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__graytorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__painttorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__pgmtorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__ppmtorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rastorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rawtorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rlesplice.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletoabA60.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletoabA62__rletoabA62.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletoalias.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletocgm.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletogif__rletogif.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletogray.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletoiris.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletopaint.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletorast.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletoraw.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletotarga.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__rletotiff.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__targatorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__tifftorle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__wasatchrle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv__xbmtorle.c   (contents, props changed)
  head/graphics/urt/files/patch-get__getx11__getx11.c   (contents, props changed)
  head/graphics/urt/files/patch-get__getx11__getx11.h   (contents, props changed)
  head/graphics/urt/files/patch-get__getx11__prototypes.h   (contents, props changed)
  head/graphics/urt/files/patch-lib__Runput.c   (contents, props changed)
  head/graphics/urt/files/patch-lib__rle_addhist.c   (contents, props changed)
  head/graphics/urt/files/patch-lib__rle_error.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__applymap.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__clock__rleClock.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__crop.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__fant.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__mallocNd.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__pyrmask.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__repos.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlebg.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlebox.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleccube.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlecomp.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rledither.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleflip.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlehisto.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleldmap.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlemandl.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlenoise.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleprint.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlequant.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlescale.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleselect.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlesetbg.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleskel.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlesortmap.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlespiff.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlesplice.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlesplit.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlestereo.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rleswap.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__rlezoom.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__smush.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__to8.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__tobw.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__unexp.c   (contents, props changed)
  head/graphics/urt/files/patch-tools__unslice.c   (contents, props changed)
Modified:
  head/graphics/urt/Makefile   (contents, props changed)
  head/graphics/urt/files/patch-cnv::gif2rle.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv::rletops.c   (contents, props changed)
  head/graphics/urt/files/patch-cnv::rletorla.c   (contents, props changed)
  head/graphics/urt/files/patch-config::urt   (contents, props changed)
  head/graphics/urt/files/patch-lib-rle_hdr.c   (contents, props changed)
  head/graphics/urt/files/patch-lib-rle_open_f.c   (contents, props changed)
  head/graphics/urt/files/patch-lib::scanargs.c   (contents, props changed)
  head/graphics/urt/files/patch-tools-rleaddcom.c   (contents, props changed)
  head/graphics/urt/files/patch-tools-rlecat.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::avg4.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::into.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::mcut.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::mergechan.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::rlegrid.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::rlehdr.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::rleinterp.c   (contents, props changed)
  head/graphics/urt/files/patch-tools::rlepatch.c   (contents, props changed)
  head/graphics/urt/pkg-plist   (contents, props changed)

Modified: head/graphics/urt/Makefile
==============================================================================
--- head/graphics/urt/Makefile	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/Makefile	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	urt
-# Date created:		Jan 5 1997
-# Whom:			cfs@ing.puc.cl (original)
-#
+# Created by: cfs@ing.puc.cl (original)
 # $FreeBSD$
-#
 
 PORTNAME=	urt
 PORTVERSION=	3.1b1
@@ -20,19 +16,21 @@ PATCH_DIST_STRIP=-p1
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Toolkit and library for raster image processing
 
-LIB_DEPENDS=	netpbm.1:${PORTSDIR}/graphics/netpbm
+LIB_DEPENDS=	netpbm:${PORTSDIR}/graphics/netpbm
+
+OPTIONS_DEFINE=	DOCS EXAMPLES
 
 NO_WRKSUBDIR=	yes
 
-USE_GCC=	any
 USE_XORG=	x11 xext
 HAS_CONFIGURE=	yes
 CONFIGURE_SCRIPT=Configure
 CONFIGURE_ARGS=	config/urt
-MAKEFILE=	makefile
 USE_GMAKE=	yes
+MAKEFILE=	makefile
 ALL_TARGET=	# none
 USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
 MAN1=	aliastorle.1 applymap.1 avg4.1 crop.1 cubitorle.1 dvirle.1	\
 	fant.1 getx11.1 giftorle.1 graytorle.1 into.1 mcut.1 mergechan.1\
@@ -61,14 +59,16 @@ MAN3=	buildmap.3 bwdithermap.3 colorquan
 MAN5=	rle.5
 MLINKS=	rle.5 RLE.5
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	cd ${WRKDIR}/doc && ${FIND} . | \
-		${CPIO} -pdm -L -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
-	@${MKDIR} ${EXAMPLESDIR}
-	cd ${WRKDIR} && ${FIND} img | \
-		${CPIO} -pdm -L -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/doc && ${COPYTREE_SHARE} . ${DOCSDIR})
+.endif
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}/img
+	@(cd ${WRKSRC}/img && ${COPYTREE_SHARE} . ${EXAMPLESDIR}/img)
 .endif
 
 .include <bsd.port.mk>

Modified: head/graphics/urt/files/patch-cnv::gif2rle.c
==============================================================================
--- head/graphics/urt/files/patch-cnv::gif2rle.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-cnv::gif2rle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,17 +1,17 @@
---- cnv/giftorle.c.orig	Mon Oct 18 08:59:37 1993
-+++ cnv/giftorle.c	Thu Nov 29 10:42:17 2007
-@@ -21,7 +21,10 @@
- /* |   don't try to make money off it, or pretend that you wrote it.  | */
+--- cnv/giftorle.c.orig	1993-10-18 22:59:37.000000000 +0900
++++ cnv/giftorle.c	2012-10-16 00:54:53.000000000 +0900
+@@ -22,6 +22,10 @@
  /* +------------------------------------------------------------------+ */
  
-+#include	<stdlib.h>
  #include	<stdio.h>
++#include	<stdlib.h>
++#include	<string.h>
 +#include	<unistd.h>
 +
  #include	"rle.h"
  
  #ifndef lint
-@@ -69,7 +72,7 @@
+@@ -69,7 +73,7 @@
  
  static int output_colormap = FALSE;
  
@@ -20,7 +20,7 @@
  main(argc,argv)
  int	argc;
  char	**argv;
-@@ -96,7 +99,7 @@
+@@ -96,7 +100,7 @@
  
      while ( nfname-- > 0 )
  	(void)ReadGIF( *infname++ );
@@ -29,7 +29,7 @@
  }
  
  int
-@@ -203,7 +206,7 @@
+@@ -203,7 +207,7 @@
  	    EasyFail("EOF in extention\n",TRUE);
  	if (c == 0)
  	    return FALSE;
@@ -38,7 +38,7 @@
  	    EasyFail("EOF in extention\n",TRUE);
      }
  }
-@@ -278,7 +281,7 @@
+@@ -278,7 +282,7 @@
  	max_code_size = 2*clear_code;
  	max_code = clear_code+2;
  

Modified: head/graphics/urt/files/patch-cnv::rletops.c
==============================================================================
--- head/graphics/urt/files/patch-cnv::rletops.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-cnv::rletops.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,5 +1,14 @@
---- cnv/rletops.c.orig	Thu Mar 10 20:09:59 2005
-+++ cnv/rletops.c	Thu Mar 10 20:13:29 2005
+--- cnv/rletops.c.orig	1992-01-21 03:04:10.000000000 +0900
++++ cnv/rletops.c	2012-10-15 22:45:15.000000000 +0900
+@@ -58,7 +58,7 @@
+ 
+ static int gencps = 0;		/* generate color PostScript? */
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;
 @@ -74,7 +74,7 @@
      float 	heightinch = 3.0, 
      		center = 3.25, 

Modified: head/graphics/urt/files/patch-cnv::rletorla.c
==============================================================================
--- head/graphics/urt/files/patch-cnv::rletorla.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-cnv::rletorla.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,28 @@
---- cnv/rletorla.c.orig	Thu Mar 10 23:41:56 2005
-+++ cnv/rletorla.c	Thu Mar 10 23:39:39 2005
-@@ -312,7 +312,7 @@
+--- cnv/rletorla.c.orig	2012-10-16 00:51:43.000000000 +0900
++++ cnv/rletorla.c	2012-10-16 01:00:52.000000000 +0900
+@@ -29,9 +29,13 @@
+  * System includes.
+  */
+ #include <stdio.h>
++#include <stdlib.h>
++#include <string.h>
++#include <unistd.h>
+ #include "rlb_header.h"
+ #include "rle.h"
+ 
++#if 0
+ #ifdef USE_STDLIB_H
+ #include <stdlib.h>
+ #else
+@@ -52,6 +56,7 @@
+ extern void free();
+ 
+ #endif /* USE_STDLIB_H */
++#endif
+ 
+ #define VPRINTF if (verbose || header) fprintf
+ #define GRAYSCALE   001	/* 8 bits, no colormap */
+@@ -312,7 +317,7 @@
     U_CHAR	*buf;
     int		*offset;
     int		width, height;
@@ -9,7 +31,7 @@
     short	len;
     long		offptr;
  /*
-@@ -348,7 +348,7 @@
+@@ -348,7 +353,7 @@
        exit(-1);
        }
     for (scan = 0; scan < height; scan++) {

Added: head/graphics/urt/files/patch-cnv__aliastorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__aliastorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/aliastorle.c.orig	1992-04-30 05:01:13.000000000 +0900
++++ cnv/aliastorle.c	2012-10-15 22:22:54.000000000 +0900
+@@ -117,7 +117,7 @@
+  *      [None]
+  */
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__cubitorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__cubitorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/cubitorle.c.orig	1992-01-29 02:51:35.000000000 +0900
++++ cnv/cubitorle.c	2012-10-15 22:27:30.000000000 +0900
+@@ -31,7 +31,7 @@
+ 
+ void read_cubi_hdr(), read_cubi_row(), read_cubi_chan(), bit_read();
+ 
+-void
++int
+ main(argc, argv)
+ int	argc;
+ char	*argv[];

Added: head/graphics/urt/files/patch-cnv__graytorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__graytorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/graytorle.c.orig	1993-04-21 23:42:40.000000000 +0900
++++ cnv/graytorle.c	2012-10-15 22:31:19.000000000 +0900
+@@ -39,7 +39,7 @@
+  *    -a		Uses first input file as alpha channel.
+  */
+ 
+-void
++int
+ main(argc, argv)
+ int  argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__painttorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__painttorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/painttorle.c.orig	1992-01-17 06:44:02.000000000 +0900
++++ cnv/painttorle.c	2012-10-15 22:40:22.000000000 +0900
+@@ -46,7 +46,7 @@
+ 
+ void init(), read_scan(), write_scan();
+ 
+-void
++int
+ main(argc,argv) 
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__pgmtorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__pgmtorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- cnv/pgmtorle.c.orig	1992-04-30 22:57:30.000000000 +0900
++++ cnv/pgmtorle.c	2012-10-16 00:55:59.000000000 +0900
+@@ -35,6 +35,7 @@
+  * System includes.
+  */
+ #include <stdio.h>
++#include <string.h>
+ #include <pgm.h>
+ #undef abs			/* Screws up stdlib.h. */
+ #define NO_DECLARE_MALLOC

Added: head/graphics/urt/files/patch-cnv__ppmtorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__ppmtorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- cnv/ppmtorle.c.orig	1992-03-05 04:29:44.000000000 +0900
++++ cnv/ppmtorle.c	2012-10-16 01:05:15.000000000 +0900
+@@ -37,6 +37,7 @@
+ #define NO_DECLARE_MALLOC	/* ppm.h does it */
+ #include "rle.h"
+ #include <stdio.h>
++#include <string.h>
+ #include <ppm.h>
+ 
+ #define VPRINTF if (verbose || header) fprintf

Added: head/graphics/urt/files/patch-cnv__rastorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rastorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rastorle.c.orig	1992-04-30 22:58:02.000000000 +0900
++++ cnv/rastorle.c	2012-10-16 00:16:45.000000000 +0900
+@@ -72,7 +72,7 @@
+     		        green[CMAPSIZE],	/* Green ditto */
+ 	    		blue[CMAPSIZE];	/* see a pattern? */
+ 
+-void
++int
+ main(argc, argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rawtorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rawtorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rawtorle.c.orig	1992-03-24 12:53:43.000000000 +0900
++++ cnv/rawtorle.c	2012-10-16 00:15:58.000000000 +0900
+@@ -66,7 +66,7 @@
+      }\
+ }
+ 
+-void
++int
+ main(argc,argv) 
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rlesplice.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rlesplice.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,19 @@
+--- cnv/rletoascii.c.orig	1992-01-21 02:29:09.000000000 +0900
++++ cnv/rletoascii.c	2012-10-16 00:21:43.000000000 +0900
+@@ -21,6 +21,7 @@
+  */
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include "rle.h"
+ 
+ typedef FILE	*FILPTR;
+@@ -59,7 +60,7 @@
+  */
+ static char default_asciistr[] = "@BR*#$PX0woIcv:+!~\"., ";
+ 
+-void
++int
+ main(argc, argv)
+ int  argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletoabA60.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletoabA60.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletoabA60.c.orig	1992-01-29 02:54:36.000000000 +0900
++++ cnv/rletoabA60.c	2012-10-13 07:03:23.000000000 +0900
+@@ -52,7 +52,7 @@
+ rle_pixel scanblu[FRAME_LENGTH][LINE_LENGTH];
+ rle_pixel scangrn[FRAME_LENGTH][LINE_LENGTH];
+ 
+-void
++int
+ main(argc,argv)
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__rletoabA62__rletoabA62.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletoabA62__rletoabA62.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,22 @@
+--- cnv/rletoabA62/rletoabA62.c.orig	1992-04-30 23:15:19.000000000 +0900
++++ cnv/rletoabA62/rletoabA62.c	2012-10-16 00:25:35.000000000 +0900
+@@ -42,6 +42,10 @@
+ */
+ 
+ #include <stdio.h>
++#include <stdlib.h>
++#include <string.h>
++#include <unistd.h>
++#include <fcntl.h>
+ 
+ #ifndef TRUE
+ #define TRUE 1
+@@ -101,7 +105,7 @@
+  * Main entry...
+  */
+ 
+-void
++int
+ main(argc,argv)
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__rletoalias.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletoalias.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletoalias.c.orig	1992-04-30 22:58:47.000000000 +0900
++++ cnv/rletoalias.c	2012-10-13 07:07:29.000000000 +0900
+@@ -108,7 +108,7 @@
+  *      [None]
+  */
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__rletocgm.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletocgm.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- cnv/rletocgm.c.orig	1992-04-30 22:59:08.000000000 +0900
++++ cnv/rletocgm.c	2012-10-16 00:17:32.000000000 +0900
+@@ -449,6 +449,7 @@
+  * 	Repeatedly read from the input until the file EOF or an
+  * 	error is encountered.
+  */
++int
+ main( argc, argv )
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__rletogif__rletogif.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletogif__rletogif.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,19 @@
+--- cnv/rletogif/rletogif.c.orig	1992-04-30 23:15:57.000000000 +0900
++++ cnv/rletogif/rletogif.c	2012-10-16 00:28:02.000000000 +0900
+@@ -29,6 +29,7 @@
+  */
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include "rle.h"
+ #include "rletogif.h"
+ 
+@@ -44,7 +45,7 @@
+ int get_color_bits();
+ void GIFEncode();
+ 
+-void
++int
+ main(argc, argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletogray.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletogray.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,19 @@
+--- cnv/rletogray.c.orig	1992-04-30 22:59:30.000000000 +0900
++++ cnv/rletogray.c	2012-10-15 22:37:09.000000000 +0900
+@@ -30,6 +30,7 @@
+ */
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include "rle.h"
+ 
+ typedef FILE	*FILPTR;
+@@ -41,7 +42,7 @@
+  *	infile			File to split.  If none, uses stdin.
+  */
+ 
+-void
++int
+ main(argc, argv)
+ int  argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletoiris.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletoiris.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- cnv/rletoiris.c.orig	1992-04-30 22:59:53.000000000 +0900
++++ cnv/rletoiris.c	2012-10-16 00:19:07.000000000 +0900
+@@ -32,6 +32,7 @@
+ 
+ rle_hdr hdr;
+ 
++int
+ main(argc,argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletopaint.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletopaint.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletopaint.c.orig	1992-05-22 00:11:41.000000000 +0900
++++ cnv/rletopaint.c	2012-10-15 22:42:40.000000000 +0900
+@@ -74,7 +74,7 @@
+ int compress_line();
+ void write_paint_line(), bytes_to_bits();
+ 
+-void
++int
+ main(argc, argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletorast.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletorast.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletorast.c.orig	1992-01-21 03:11:32.000000000 +0900
++++ cnv/rletorast.c	2012-10-16 00:15:02.000000000 +0900
+@@ -41,7 +41,7 @@
+ 
+ typedef	enum { GREY, GREY_ALPHA, COLOR, COLOR_ALPHA } Input_Type ;
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__rletoraw.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletoraw.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletoraw.c.orig	1992-04-30 23:00:21.000000000 +0900
++++ cnv/rletoraw.c	2012-10-16 00:14:10.000000000 +0900
+@@ -65,7 +65,7 @@
+     }\
+     
+ 
+-void
++int
+ main(argc,argv) 
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletotarga.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletotarga.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletotarga.c.orig	1992-01-22 04:37:07.000000000 +0900
++++ cnv/rletotarga.c	2012-10-15 22:47:54.000000000 +0900
+@@ -62,7 +62,7 @@
+                       image_descriptor;       /* Image Descriptor Byte */
+       };
+ 
+-void
++int
+ main(argc,argv) 
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__rletotiff.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__rletotiff.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/rletotiff.c.orig	1992-04-30 23:01:10.000000000 +0900
++++ cnv/rletotiff.c	2012-10-15 22:53:31.000000000 +0900
+@@ -48,7 +48,7 @@
+ static unsigned short compression = COMPRESSION_LZW;
+ static int flip = 0;
+ 
+-void
++int
+ main(argc, argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__targatorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__targatorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/targatorle.c.orig	1992-02-28 06:11:12.000000000 +0900
++++ cnv/targatorle.c	2012-10-15 22:51:12.000000000 +0900
+@@ -119,7 +119,7 @@
+ void init_comp();
+ unsigned char getbyte();
+ 
+-void
++int
+ main(argc,argv) 
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__tifftorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__tifftorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- cnv/tifftorle.c.orig	1992-08-07 04:44:25.000000000 +0900
++++ cnv/tifftorle.c	2012-10-16 00:13:07.000000000 +0900
+@@ -47,7 +47,7 @@
+ unsigned char bc2[4] = { 0, 0x55, 0xaa, 0xff };
+ unsigned char bc1[2] = { 0, 0xff };
+  
+-void
++int
+ main(argc, argv)
+ int argc;
+ char *argv[];

Added: head/graphics/urt/files/patch-cnv__wasatchrle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__wasatchrle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,19 @@
+--- cnv/wasatchrle.c.orig	1992-01-21 03:33:32.000000000 +0900
++++ cnv/wasatchrle.c	2012-10-16 00:57:04.000000000 +0900
+@@ -28,6 +28,7 @@
+  */
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include <ctype.h>
+ #include <errno.h>
+ #include "rle.h"
+@@ -51,7 +52,7 @@
+     rle_pixel count, data;
+ } was_op;
+ 
+-void
++int
+ main(argc, argv)
+ int argc;
+ char **argv;

Added: head/graphics/urt/files/patch-cnv__xbmtorle.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-cnv__xbmtorle.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,19 @@
+--- cnv/xbmtorle.c.orig	1992-04-30 23:01:54.000000000 +0900
++++ cnv/xbmtorle.c	2012-10-16 01:02:29.000000000 +0900
+@@ -29,6 +29,7 @@
+ xbmtorle()				Tag the file.
+ */
+ 
++#include <string.h>
+ #include "rle.h"
+ 
+ #define MAX_LINE 500
+@@ -65,7 +66,7 @@
+  * 	Reads the bitmap, then builds an RLE image with one pixel per
+  * 	bit in the input.
+  */
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;

Modified: head/graphics/urt/files/patch-config::urt
==============================================================================
--- head/graphics/urt/files/patch-config::urt	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-config::urt	Mon Jan 21 03:31:56 2013	(r310738)
@@ -60,7 +60,7 @@
 -##define USE_STDARG	Use 'stdarg' instead of 'varargs' (ANSI).
 -##define USE_STDLIB_H	You have "stdlib.h".
 -##define USE_UNISTD_H	You have "unistd.h".
-+#define SYS_V_SETPGRP	Your system has the SysV setpgrp() call.
++##define SYS_V_SETPGRP	Your system has the SysV setpgrp() call.
 +#define USE_L_FLAG	Use -Llibdir -lrle instead of libdir/liblre.a.
 +#define USE_PROTOTYPES	Declare library functions with ANSI-C prototypes.
 +#define USE_RANDOM	Your libc has the BSD random() function.

Added: head/graphics/urt/files/patch-get__getx11__getx11.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-get__getx11__getx11.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,11 @@
+--- get/getx11/getx11.c.orig	1995-01-11 06:16:18.000000000 +0900
++++ get/getx11/getx11.c	2012-10-13 07:08:08.000000000 +0900
+@@ -218,7 +218,7 @@
+  *	[None]
+  */
+ 
+-void
++int
+ main (argc, argv)
+ int		argc;
+ char 		** argv;

Added: head/graphics/urt/files/patch-get__getx11__getx11.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-get__getx11__getx11.h	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,12 @@
+--- get/getx11/getx11.h.orig	1994-05-14 10:09:37.000000000 +0900
++++ get/getx11/getx11.h	2012-10-15 22:14:16.000000000 +0900
+@@ -27,6 +27,9 @@
+  */
+ 
+ #include <stdio.h>
++#include <string.h>
++#include <sys/types.h>
++#include <unistd.h>
+ #include <math.h>
+ #include <ctype.h>
+ #include <X11/X.h>

Added: head/graphics/urt/files/patch-get__getx11__prototypes.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-get__getx11__prototypes.h	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,9 @@
+--- get/getx11/prototypes.h.orig	1993-01-12 06:56:21.000000000 +0900
++++ get/getx11/prototypes.h	2012-10-13 07:04:08.000000000 +0900
+@@ -1,5 +1,5 @@
+ extern void init_img_info(image_information *i);
+-extern void main(int argc, char **argv);
++extern int main(int argc, char **argv);
+ extern void handle_exposure(register image_information *img, int x, int y, int width, int height, int img_h);
+ extern image_information *action_flip_forward(image_information *img, image_information *img_info, int flip_book_udelay, int n, unsigned long mask, XEvent *event, Boolean *found_event);
+ extern image_information *action_flip_backward(image_information *img, image_information *img_info, int flip_book_udelay, int n, unsigned long mask, XEvent *event, Boolean *found_event);

Modified: head/graphics/urt/files/patch-lib-rle_hdr.c
==============================================================================
--- head/graphics/urt/files/patch-lib-rle_hdr.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-lib-rle_hdr.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,14 @@
---- lib/rle_hdr.c.orig	Thu Nov 29 21:57:53 2007
-+++ lib/rle_hdr.c	Thu Nov 29 21:59:23 2007
-@@ -269,6 +269,8 @@
+--- lib/rle_hdr.c.orig	1992-06-27 05:44:20.000000000 +0900
++++ lib/rle_hdr.c	2012-10-15 22:05:32.000000000 +0900
+@@ -26,6 +26,7 @@
+  */
+ static char rcsid[] = "$Header: /tmp_mnt/n/itn/hendrix/u/spencer/RCS/rle_hdr.c,v 3.0.1.1 1992/04/30 14:08:07 spencer Exp spencer $";
+ 
++#include <string.h>
+ #include "rle.h"
+ 
+ /*****************************************************************
+@@ -269,6 +270,8 @@
  {
      rle_hdr *ret_hdr;
  

Modified: head/graphics/urt/files/patch-lib-rle_open_f.c
==============================================================================
--- head/graphics/urt/files/patch-lib-rle_open_f.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-lib-rle_open_f.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,16 @@
---- lib/rle_open_f.c.orig	Thu May 13 16:28:51 1993
-+++ lib/rle_open_f.c	Thu Nov 29 23:38:49 2007
-@@ -56,6 +56,7 @@
+--- lib/rle_open_f.c.orig	1993-05-14 06:28:51.000000000 +0900
++++ lib/rle_open_f.c	2012-10-15 22:07:34.000000000 +0900
+@@ -10,6 +10,9 @@
+ 
+ #include "rle_config.h"
+ #include <stdio.h>
++#include <string.h>
++#include <sys/types.h>
++#include <unistd.h>
+ 
+ #ifndef NO_OPEN_PIPES
+ /* Need to have a SIGCLD signal catcher. */
+@@ -56,6 +59,7 @@
      CONST_DECL char *err_str;
      register char *cp;
      char *combuf;
@@ -8,7 +18,7 @@
  
  #ifdef STDIO_NEEDS_BINARY
      char mode_string[32];	/* Should be enough. */
-@@ -150,7 +151,8 @@
+@@ -150,7 +154,8 @@
  	else if ( cp > file_name && *cp == '.' && *(cp + 1) == 'Z' )
  	{
  	    int thepid;		/* PID from my_popen. */
@@ -18,7 +28,7 @@
  	    if ( combuf == NULL )
  	    {
  		err_str = "%s: out of memory opening (compressed) %s for %s";
-@@ -158,11 +160,11 @@
+@@ -158,11 +163,11 @@
  	    }
  
  	    if ( *mode == 'w' )
@@ -33,7 +43,7 @@
  
  	    fp = my_popen( combuf, mode, &thepid );
  	    free( combuf );
-@@ -256,7 +258,6 @@
+@@ -256,7 +261,6 @@
      int pipefd[2];
      int i;
      char *argv[4];

Modified: head/graphics/urt/files/patch-lib::scanargs.c
==============================================================================
--- head/graphics/urt/files/patch-lib::scanargs.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-lib::scanargs.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,14 @@
---- lib/scanargs.c.orig	Thu Feb 27 16:18:15 1992
-+++ lib/scanargs.c	Thu Nov 29 23:22:40 2007
-@@ -128,10 +128,10 @@
+--- lib/scanargs.c.orig	1992-02-28 06:18:15.000000000 +0900
++++ lib/scanargs.c	2012-10-15 22:09:52.000000000 +0900
+@@ -42,6 +42,7 @@
+ 
+ #include "rle_config.h"
+ #include <stdio.h>
++#include <string.h>
+ #include <ctype.h>
+ #ifndef USE_STDARG
+ #include <varargs.h>
+@@ -128,10 +129,10 @@
  va_list argl;
  {
  
@@ -13,7 +21,7 @@
      int	    optarg = 0;			/* where optional args start */
      int	    nopt = 0;
      char    tmpflg,			/* temp flag */
-@@ -408,7 +408,8 @@
+@@ -408,7 +409,8 @@
  				 * Copy the string so we remain nondestructive
  				 */
  				s = NEW( char, strlen(argp)+1 );

Added: head/graphics/urt/files/patch-lib__Runput.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-lib__Runput.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,12 @@
+--- lib/Runput.c.orig	1992-01-29 03:17:40.000000000 +0900
++++ lib/Runput.c	2012-10-15 21:59:43.000000000 +0900
+@@ -90,7 +90,8 @@
+  * 		    follow the last byte in the run.
+  */
+ 
+-#include	"stdio.h"
++#include	<stdio.h>
++#include	<string.h>
+ #include	"rle_put.h"
+ #include	"rle.h"
+ #include	"rle_code.h"

Added: head/graphics/urt/files/patch-lib__rle_addhist.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-lib__rle_addhist.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- lib/rle_addhist.c.orig	1992-04-30 23:07:45.000000000 +0900
++++ lib/rle_addhist.c	2012-10-15 22:01:16.000000000 +0900
+@@ -27,6 +27,7 @@
+ 
+ #include "rle.h"
+ #include <stdio.h>
++#include <string.h>
+ 
+ #ifdef	USE_TIME_H
+ #include <time.h>

Added: head/graphics/urt/files/patch-lib__rle_error.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/urt/files/patch-lib__rle_error.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -0,0 +1,10 @@
+--- lib/rle_error.c.orig	1992-03-05 04:33:27.000000000 +0900
++++ lib/rle_error.c	2012-10-16 01:18:15.000000000 +0900
+@@ -28,6 +28,7 @@
+ static char rcs_id[] = "$Header: /l/spencer/src/urt/lib/RCS/rle_error.c,v 3.0.1.1 1992/03/04 19:33:27 spencer Exp $";
+ #endif
+ 
++#include <string.h>
+ #include "rle.h"
+ 
+ /*****************************************************************

Modified: head/graphics/urt/files/patch-tools-rleaddcom.c
==============================================================================
--- head/graphics/urt/files/patch-tools-rleaddcom.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools-rleaddcom.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,15 @@
---- tools/rleaddcom.c.orig	Thu Nov 29 16:12:38 2007
-+++ tools/rleaddcom.c	Thu Nov 29 16:25:14 2007
-@@ -60,7 +60,7 @@
+--- tools/rleaddcom.c.orig	1992-04-30 23:11:00.000000000 +0900
++++ tools/rleaddcom.c	2012-10-16 01:10:13.000000000 +0900
+@@ -26,6 +26,8 @@
+  */
+ 
+ #include <stdio.h>
++#include <string.h>
++#include <unistd.h>
+ #include "rle.h"
+ #include <sys/types.h>
+ #include <sys/param.h>			/* for MAXPATHLEN */
+@@ -60,7 +62,7 @@
   * Algorithm:
   *	[None]
   */
@@ -9,7 +18,7 @@
  main( argc, argv )
  int argc;
  char **argv;
-@@ -118,7 +118,7 @@
+@@ -118,7 +120,7 @@
  	}
  	else
  	    strcpy( buf, temp );

Modified: head/graphics/urt/files/patch-tools-rlecat.c
==============================================================================
--- head/graphics/urt/files/patch-tools-rlecat.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools-rlecat.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,14 @@
---- tools/rlecat.c.orig	Thu Nov 29 16:39:51 2007
-+++ tools/rlecat.c	Thu Nov 29 16:40:44 2007
-@@ -62,7 +62,7 @@
+--- tools/rlecat.c.orig	1992-04-30 23:11:44.000000000 +0900
++++ tools/rlecat.c	2012-10-16 00:43:29.000000000 +0900
+@@ -15,6 +15,7 @@
+ */
+ 
+ #include <stdio.h>
++#include <unistd.h>
+ #include "rle.h"
+ #include "rle_raw.h"
+ 
+@@ -62,7 +63,7 @@
   *  	repeat count.  If the collation flag (-c) is specified, then
   *  	all images will be read before starting to repeat.
   */
@@ -9,7 +17,7 @@
  main( argc, argv )
  int argc;
  char **argv;
-@@ -110,7 +110,7 @@
+@@ -110,7 +111,7 @@
  	    nflag = 0;		/* Not really repeating! */
  	else
  	{

Modified: head/graphics/urt/files/patch-tools::avg4.c
==============================================================================
--- head/graphics/urt/files/patch-tools::avg4.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::avg4.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,6 @@
---- tools/avg4.c.orig	Thu Mar 10 20:47:48 2005
-+++ tools/avg4.c	Thu Mar 10 20:48:11 2005
-@@ -34,7 +34,7 @@
+--- tools/avg4.c.orig	1992-04-30 23:08:43.000000000 +0900
++++ tools/avg4.c	2012-10-15 22:52:09.000000000 +0900
+@@ -34,10 +34,10 @@
  #include <stdio.h>
  #include "rle.h"
  
@@ -8,4 +8,8 @@
 +static int bit_count[16] = {0, 63, 63, 127, 63, 127, 127,
      192, 63, 127, 127, 192, 127, 192, 192, 255};
  
- void
+-void
++int
+ main(argc, argv)
+ int	argc;
+ char	*argv[];

Modified: head/graphics/urt/files/patch-tools::into.c
==============================================================================
--- head/graphics/urt/files/patch-tools::into.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::into.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,15 @@
---- tools/into.c.orig	Thu Apr 30 09:10:15 1992
-+++ tools/into.c	Thu Nov 29 16:17:55 2007
-@@ -41,9 +41,12 @@
+--- tools/into.c.orig	1992-04-30 23:10:15.000000000 +0900
++++ tools/into.c	2012-10-16 01:10:25.000000000 +0900
+@@ -27,6 +27,8 @@
+ 
+ #include "rle_config.h"
+ #include <stdio.h>
++#include <string.h>
++#include <unistd.h>
+ #include <errno.h>
+ #include <sys/types.h>
+ #include <sys/param.h>			/* for MAXPATHLEN */
+@@ -41,9 +43,12 @@
  short forceflg;				/* overwrite an unwritable file? */
  
  extern int errno;
@@ -14,7 +23,7 @@
  main(argc, argv)
  int argc;
  char **argv;
-@@ -82,7 +85,7 @@
+@@ -82,7 +87,7 @@
      }
      else
  	strcpy( buf, temp );

Modified: head/graphics/urt/files/patch-tools::mcut.c
==============================================================================
--- head/graphics/urt/files/patch-tools::mcut.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::mcut.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,5 +1,14 @@
---- tools/mcut.c.orig	Thu Mar 10 20:54:44 2005
-+++ tools/mcut.c	Thu Mar 10 20:56:44 2005
+--- tools/mcut.c.orig	1992-01-24 01:24:41.000000000 +0900
++++ tools/mcut.c	2012-10-15 22:52:09.000000000 +0900
+@@ -232,7 +232,7 @@
+  * has a slot for a color map index, so the back pointer it followed
+  * only once.
+  */
+-void
++int
+ main ( argc, argv )
+ int argc;
+ char ** argv;
 @@ -791,7 +791,7 @@
  		    TRACE( tmp_cb, cb_list )
  		    {

Modified: head/graphics/urt/files/patch-tools::mergechan.c
==============================================================================
--- head/graphics/urt/files/patch-tools::mergechan.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::mergechan.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,5 +1,14 @@
---- tools/mergechan.c.orig	Thu Mar 10 20:58:34 2005
-+++ tools/mergechan.c	Thu Mar 10 21:00:31 2005
+--- tools/mergechan.c.orig	1992-01-24 01:25:19.000000000 +0900
++++ tools/mergechan.c	2012-10-15 23:22:24.000000000 +0900
+@@ -19,7 +19,7 @@
+ 
+ #define RLE_END 32768		/* This should be in rle.h */
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char ** argv;
 @@ -79,7 +79,7 @@
  	    {
  		fprintf( stderr,

Modified: head/graphics/urt/files/patch-tools::rlegrid.c
==============================================================================
--- head/graphics/urt/files/patch-tools::rlegrid.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::rlegrid.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,5 +1,14 @@
---- tools/rlegrid.c.orig	Thu Mar 10 21:01:59 2005
-+++ tools/rlegrid.c	Thu Mar 10 21:03:02 2005
+--- tools/rlegrid.c.orig	1992-04-30 23:12:02.000000000 +0900
++++ tools/rlegrid.c	2012-10-15 22:55:35.000000000 +0900
+@@ -51,7 +51,7 @@
+  *	[None]
+  * Algorithm:
+  */
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;
 @@ -65,7 +65,7 @@
      rle_op **scanraw[2];	/* space for two raw scanline buffers */
      rle_op *p, *q;

Modified: head/graphics/urt/files/patch-tools::rlehdr.c
==============================================================================
--- head/graphics/urt/files/patch-tools::rlehdr.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::rlehdr.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,23 @@
---- tools/rlehdr.c.orig	Thu Mar 10 21:04:49 2005
-+++ tools/rlehdr.c	Thu Mar 10 21:13:14 2005
-@@ -289,7 +289,7 @@
+--- tools/rlehdr.c.orig	1992-04-30 23:12:10.000000000 +0900
++++ tools/rlehdr.c	2012-10-16 01:10:34.000000000 +0900
+@@ -32,6 +32,7 @@
+ */
+ 
+ #include <stdio.h>
++#include <string.h>
+ #include "rle.h"
+ #include "../patchlevel.h"
+ 
+@@ -65,7 +66,7 @@
+  *	[None]
+  */
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;
+@@ -289,7 +290,7 @@
  		{
  		    if ( (cp = index( the_comment, '\n' )) )
  			printf( ", %s=%.*s", *comment_names,

Modified: head/graphics/urt/files/patch-tools::rleinterp.c
==============================================================================
--- head/graphics/urt/files/patch-tools::rleinterp.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::rleinterp.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,6 +1,14 @@
---- tools/rleinterp.c.orig	Thu Mar 10 21:14:52 2005
-+++ tools/rleinterp.c	Thu Mar 10 21:15:40 2005
-@@ -48,8 +48,8 @@
+--- tools/rleinterp.c.orig	1992-04-30 23:12:20.000000000 +0900
++++ tools/rleinterp.c	2012-10-15 22:56:39.000000000 +0900
+@@ -38,6 +38,7 @@
+ extern char *optarg;
+ extern int optind;
+ 
++int
+ main( argc, argv )
+ int argc;
+ char **argv;
+@@ -48,8 +49,8 @@
  		nom_sortie[BUFSIZ],
      		extension[80] ,
      	       *basenom, *rep ;

Modified: head/graphics/urt/files/patch-tools::rlepatch.c
==============================================================================
--- head/graphics/urt/files/patch-tools::rlepatch.c	Mon Jan 21 03:29:37 2013	(r310737)
+++ head/graphics/urt/files/patch-tools::rlepatch.c	Mon Jan 21 03:31:56 2013	(r310738)
@@ -1,5 +1,14 @@
---- tools/rlepatch.c.orig	Thu Mar 10 21:17:33 2005
-+++ tools/rlepatch.c	Thu Mar 10 21:18:56 2005
+--- tools/rlepatch.c.orig	1992-01-24 03:33:19.000000000 +0900
++++ tools/rlepatch.c	2012-10-15 22:58:01.000000000 +0900
+@@ -33,7 +33,7 @@
+ 
+ #define IN_WINDOW(y,wind) ((y >= wind.ymin) && (y <= wind.ymax))
+ 
+-void
++int
+ main( argc, argv )
+ int argc;
+ char **argv;
 @@ -46,7 +46,7 @@
      rle_pixel ** im_rows, **patch_rows, ** outrows;
      int stdin_used = 0;

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Marcelo Araujo freebsd_committer 2013-01-21 03:45:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!